#
# spec file for package python-py-vapid
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-py-vapid
Version:        1.9.0
Release:        1.9
Summary:        VAPID header generation library
License:        MPL-2.0
URL:            https://github.com/mozilla-services/vapid
Source:         https://files.pythonhosted.org/packages/source/p/py-vapid/py-vapid-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-cryptography >= 2.5
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module cryptography >= 2.5}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
VAPID header generation library.

%prep
%setup -q -n py-vapid-%{version}
sed -i 's/from mock import/from unittest.mock import/' py_vapid/tests/test_vapid.py

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/vapid
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative vapid

%postun
%python_uninstall_alternative vapid

%files %{python_files}
%doc README.md README.rst
%license LICENSE
%python_alternative %{_bindir}/vapid
%{python_sitelib}/*

%changelog
* Tue Dec 13 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v1.9.0
  * chore: Jul 2022 update
    Now that this is one of the Critical Projects (thanks?) I should
    update it to be more modern, clean up some of the crap, and
    run it through flake8 at least.
  * Add a rst version of the README
  * update rust version to 0.6.0
* Tue Apr 12 2022 Markéta Machová <mmachova@suse.com>
- do not use mock
* Wed Sep  8 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.8.2:
  * allow hyphens in sub domains (#96)
  * Fix argument declaration (#95)
  * use better host validation(#92)
  * do not enforce dot in sub claim email host part (#90)
  * switch to pytest from nose
  * fix JWT padding (Thanks @JohnDoee) #81
- Drop skip-test_sign_01.patch, no longer required
* Sun Jun  7 2020 John Vandenberg <jayvdb@gmail.com>
- Tidy spec, removing unnecessary build dependencies
* Wed Aug 14 2019 Antonio Larrosa <alarrosa@suse.com>
- Initial release of python-py-vapid 1.7.0
- Add skip-test_sign_01.patch to skip a test that fails randomly
